<div class="container">
  <div class="row justify-content-center" *ngFor="let p of projet; let inde = index">
    <div class="col-xl-12 col-lg-12" *ngIf="p.id == ids">
      <div class="page-header mb-4">
        <h1> {{ p.nom }} </h1>
        <p class="lead"> {{ p.description }} </p>
        <button class="btn btn-primary"
          (click)="terminerProjet(inde)"
          *ngIf="currentUsers[0].id == p.chefProjetId">
          Terminer le projet
        </button>
        <button class="btn btn-primary" disabled *ngIf="myUser == p.porteurId">
          Projet terminé
        </button>
        <div class="d-flex align-items-center">
          <ul class="avatars">
            <li *ngFor="let i of intervenants">
              <a
                href="#"
                data-toggle="tooltip"
                data-placement="top"
                [title]="i.nomComplet"
              >
                <img
                  [alt]="i.nomComplet"
                  class="avatar"
                  [src]="i.avatarUrl"
                />
              </a>
            </li>
          </ul>
          <button
            class="btn btn-round"
            data-toggle="modal"
            data-target="#user-manage-modal"
            *ngIf="currentUsers[0].id == p.chefProjetId"
          >
            <i class="material-icons">add</i>
          </button>
        </div>
        <div>
          <div class="progress">
            <div class="progress-bar bg-success" style="width: {{taux}}%"></div>
          </div>
          <div class="d-flex justify-content-between text-small">
            <div class="d-flex align-items-center">
              <i class="material-icons">playlist_add_check</i>
              <span>{{tachesValidees.length}}/{{taches.length}}</span>
            </div>
            <span>Date limite : {{ p.dateFinPrevue }} </span>
          </div>
        </div>
      </div>
      <ul class="nav nav-tabs nav-fill">
        <li class="nav-item">
          <a
            class="nav-link active"
            data-toggle="tab"
            href="#tasks"
            role="tab"
            aria-controls="tasks"
            aria-selected="true"
            >Taches</a
          >
        </li>
        <li class="nav-item">
          <a
            class="nav-link"
            data-toggle="tab"
            href="#files"
            role="tab"
            aria-controls="files"
            aria-selected="false"
            >Fichiers</a
          >
        </li>
        <li class="nav-item">
          <a
            class="nav-link"
            data-toggle="tab"
            href="#activity"
            role="tab"
            aria-controls="activity"
            aria-selected="false"
            >Historique</a
          >
        </li>
      </ul>
      <div class="tab-content">
        <div
          class="tab-pane fade show active"
          id="tasks"
          role="tabpanel"
          aria-labelledby="tasks-tab"
          data-filter-list="card-list-body"
        >
          <div class="row content-list-head">
            <div class="col-auto">
              <h3>Taches</h3>
              <button
                class="btn btn-round"
                data-toggle="modal"
                data-target="#ajouterTache"
                *ngIf="currentUsers[0].id == p.chefProjetId"
              >
                <i class="material-icons">add</i>
              </button>
            </div>
            <form class="col-md-auto">
              <div class="input-group input-group-round">
                <div class="input-group-prepend">
                  <span class="input-group-text">
                    <i class="material-icons">filter_list</i>
                  </span>
                </div>
                <input
                  type="search"
                  class="form-control filter-list-input"
                  placeholder="Filtrer taches"
                  aria-label="Filter Tasks"
                  aria-describedby="filter-tasks"
                />
              </div>
            </form>
          </div>
          <!--end of content list head-->
          <div class="content-list-body">
            <div class="card-list">
              <div class="card-list-body">
                <div class="card card-task" *ngFor="let t of taches; let index = index">
                  <div *ngIf="myUser == p.porteurId || current currentUsers[0].id == p.chefProjetId || t.chargeTacheId == currentUsers[0].id">
                  <div class="progress">
                    <div
                      *ngIf="t.statut == 'En attente'"
                      class="progress-bar bg-danger"
                      role="progressbar"
                      style="width: 100%"
                      aria-valuenow="25"
                      aria-valuemin="0"
                      aria-valuemax="100"
                    ></div>
                    <div *ngIf="t.statut == 'En cours'" class="progress-bar bg-primary" role="progressbar" style="width: 100%"
                      aria-valuenow="25" aria-valuemin="0" aria-valuemax="100"></div>
                      <div *ngIf="t.statut == 'Terminée' && t.validated == false" class="progress-bar bg-success" role="progressbar" style="width: 100%"
                        aria-valuenow="25" aria-valuemin="0" aria-valuemax="100"></div>
                        <div *ngIf="t.validated == true" class="progress-bar bg-info" role="progressbar" style="width: 100%"
                          aria-valuenow="25" aria-valuemin="0" aria-valuemax="100"></div>
                  </div>
                  <div class="card-body">
                    <div class="card-title">
                      <a href="#">
                        <h6 data-filter-by="text">
                          {{ t.nom }}
                        </h6>
                      </a>
                      <span class="text-small">Date limite: {{ t.dateLimite }} </span>
                    </div>
                    <div class="card-meta">
                      <ul class="avatars">
                        <li>
                          <a href="#" data-toggle="tooltip" [title]="t.chargeTacheNom">
                            <img
                              [alt]="t.chargeTacheNom"
                              class="avatar"
                              [src]="t.chargeTacheAvatar"
                            />
                          </a>
                        </li>
                      </ul>

                      <div class="d-flex align-items-center">
                        <i class="material-icons">playlist_add_check</i>
                        <span> {{ t.phase }} </span>
                      </div>
                      <div class="dropdown card-options">
                        <button
                          class="btn-options"
                          type="button"
                          id="task-dropdown-button-1"
                          data-toggle="dropdown"
                          aria-haspopup="true"
                          aria-expanded="false"
                        >
                          <i class="material-icons">more_vert</i>
                        </button>
                        <div class="dropdown-menu dropdown-menu-right">
                          <a class="dropdown-item" *ngIf="currentUsers[0].id == p.chefProjetId" (click)="validerTache(index)">Valider</a>
                          <a class="dropdown-item" *ngIf="currentUsers[0].id != p.chefProjetId" (click)="lancerTache(index)">Lancer</a>
                          <a class="dropdown-item" *ngIf="currentUsers[0].id != p.chefProjetId" (click)="terminerTache(index)">Terminer</a>
                          <div class="dropdown-divider"></div>
                          >
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
                </div>
              </div>
            </div>
            <!--end of content list body-->
          </div>
          <!--end of content list-->
        </div>
        <div
          class="tab-pane fade"
          id="files"
          role="tabpanel"
          aria-labelledby="files-tab"
          data-filter-list="dropzone-previews"
        >
          <div class="content-list">
            <div class="row content-list-head">
              <div class="col-auto">
                <h3>Fichiers</h3>
              </div>
              <form class="col-md-auto">
                <div class="input-group input-group-round">
                  <div class="input-group-prepend">
                    <span class="input-group-text">
                      <i class="material-icons">filter_list</i>
                    </span>
                  </div>
                  <input
                    type="search"
                    class="form-control filter-list-input"
                    placeholder="Filtrer fichiers"
                    aria-label="Filter Tasks"
                    aria-describedby="filter-tasks"
                  />
                </div>
              </form>
            </div>
            <!--end of content list head-->
            <div class="content-list-body row">
              <div class="col">
                <div class="d-none dz-template">
                  <li class="list-group-item dz-preview dz-file-preview">
                    <div class="media align-items-center dz-details">
                      <ul class="avatars">
                        <li>
                          <div class="avatar bg-primary dz-file-representation">
                            <img class="avatar" data-dz-thumbnail />
                            <i class="material-icons">attach_file</i>
                          </div>
                        </li>
                        <li>
                          <img
                            alt="David Whittaker"
                            src="assets/dependencies/img/avatar-male-4.jpg"
                            class="avatar"
                            data-title="David Whittaker"
                            data-toggle="tooltip"
                          />
                        </li>
                      </ul>
                      <div
                        class="media-body d-flex justify-content-between align-items-center"
                      >
                        <div class="dz-file-details">
                          <a href="#" class="dz-filename">
                            <span data-dz-name></span>
                          </a>
                          <br />
                          <span class="text-small dz-size" data-dz-size></span>
                        </div>
                        <img
                          alt="Loader"
                          src="assets/img/loader.svg"
                          class="dz-loading"
                        />
                        <div class="dropdown">
                          <button
                            class="btn-options"
                            type="button"
                            data-toggle="dropdown"
                            aria-haspopup="true"
                            aria-expanded="false"
                          >
                            <i class="material-icons">more_vert</i>
                          </button>
                          <div class="dropdown-menu dropdown-menu-right">
                            <a class="dropdown-item" href="#">Download</a>
                            <a class="dropdown-item" href="#">Share</a>
                            <div class="dropdown-divider"></div>
                            <a
                              class="dropdown-item text-danger"
                              href="#"
                              data-dz-remove
                              >Delete</a
                            >
                          </div>
                        </div>
                        <button
                          class="btn btn-danger btn-sm dz-remove"
                          data-dz-remove
                        >
                          Cancel
                        </button>
                      </div>
                    </div>
                    <div class="progress dz-progress">
                      <div
                        class="progress-bar dz-upload"
                        data-dz-uploadprogress
                      ></div>
                    </div>
                  </li>
                </div>
                <ul
                  class="list-group list-group-activity dropzone-previews flex-column-reverse"
                >
                  <li class="list-group-item">
                    <div class="media align-items-center">
                      <ul class="avatars">
                        <li>
                          <div class="avatar bg-primary">
                            <i class="material-icons">insert_drive_file</i>
                          </div>
                        </li>
                        <li>
                          <img
                            alt="Peggy Brown"
                            src="assets/dependencies/img/avatar-female-2.jpg"
                            class="avatar"
                            data-title="Peggy Brown"
                            data-toggle="tooltip"
                            data-filter-by="data-title"
                          />
                        </li>
                      </ul>
                      <div
                        class="media-body d-flex justify-content-between align-items-center"
                      >
                        <div>
                          <a href="#" data-filter-by="text"
                            >Fichier de configuration</a
                          >
                          <br />
                          <span class="text-small" data-filter-by="text"
                            >Taille: 48 kb</span
                          >
                        </div>
                        <div class="dropdown">
                          <button
                            class="btn-options"
                            type="button"
                            data-toggle="dropdown"
                            aria-haspopup="true"
                            aria-expanded="false"
                          >
                            <i class="material-icons">more_vert</i>
                          </button>
                          <div class="dropdown-menu dropdown-menu-right">
                            <a class="dropdown-item" href="#">Download</a>
                            <div class="dropdown-divider"></div>
                            <a class="dropdown-item text-danger" href="#"
                              >Delete</a
                            >
                          </div>
                        </div>
                      </div>
                    </div>
                  </li>
                  <li class="list-group-item">
                    <div class="media align-items-center">
                      <ul class="avatars">
                        <li>
                          <div class="avatar bg-primary">
                            <i class="material-icons">insert_drive_file</i>
                          </div>
                        </li>
                        <li>
                          <img
                            alt="Peggy Brown"
                            src="assets/dependencies/img/avatar-female-2.jpg"
                            class="avatar"
                            data-title="Peggy Brown"
                            data-toggle="tooltip"
                            data-filter-by="data-title"
                          />
                        </li>
                      </ul>
                      <div
                        class="media-body d-flex justify-content-between align-items-center"
                      >
                        <div>
                          <a href="#" data-filter-by="text"
                            >Fichier de configuration</a
                          >
                          <br />
                          <span class="text-small" data-filter-by="text"
                            >Taille: 48 kb</span
                          >
                        </div>
                        <div class="dropdown">
                          <button
                            class="btn-options"
                            type="button"
                            data-toggle="dropdown"
                            aria-haspopup="true"
                            aria-expanded="false"
                          >
                            <i class="material-icons">more_vert</i>
                          </button>
                          <div class="dropdown-menu dropdown-menu-right">
                            <a class="dropdown-item" href="#">Download</a>
                            <div class="dropdown-divider"></div>
                            <a class="dropdown-item text-danger" href="#"
                              >Delete</a
                            >
                          </div>
                        </div>
                      </div>
                    </div>
                  </li>
                  <li class="list-group-item">
                    <div class="media align-items-center">
                      <ul class="avatars">
                        <li>
                          <div class="avatar bg-primary">
                            <i class="material-icons">insert_drive_file</i>
                          </div>
                        </li>
                        <li>
                          <img
                            alt="Peggy Brown"
                            src="assets/dependencies/img/avatar-female-2.jpg"
                            class="avatar"
                            data-title="Peggy Brown"
                            data-toggle="tooltip"
                            data-filter-by="data-title"
                          />
                        </li>
                      </ul>
                      <div
                        class="media-body d-flex justify-content-between align-items-center"
                      >
                        <div>
                          <a href="#" data-filter-by="text"
                            >Fichier de configuration</a
                          >
                          <br />
                          <span class="text-small" data-filter-by="text"
                            >Taille: 48 kb</span
                          >
                        </div>
                        <div class="dropdown">
                          <button
                            class="btn-options"
                            type="button"
                            data-toggle="dropdown"
                            aria-haspopup="true"
                            aria-expanded="false"
                          >
                            <i class="material-icons">more_vert</i>
                          </button>
                          <div class="dropdown-menu dropdown-menu-right">
                            <a class="dropdown-item" href="#">Download</a>
                            <div class="dropdown-divider"></div>
                            <a class="dropdown-item text-danger" href="#"
                              >Delete</a
                            >
                          </div>
                        </div>
                      </div>
                    </div>
                  </li>
                  <li class="list-group-item">
                    <div class="media align-items-center">
                      <ul class="avatars">
                        <li>
                          <div class="avatar bg-primary">
                            <i class="material-icons">insert_drive_file</i>
                          </div>
                        </li>
                        <li>
                          <img
                            alt="Peggy Brown"
                            src="assets/dependencies/img/avatar-female-2.jpg"
                            class="avatar"
                            data-title="Peggy Brown"
                            data-toggle="tooltip"
                            data-filter-by="data-title"
                          />
                        </li>
                      </ul>
                      <div
                        class="media-body d-flex justify-content-between align-items-center"
                      >
                        <div>
                          <a href="#" data-filter-by="text"
                            >Fichier de configuration</a
                          >
                          <br />
                          <span class="text-small" data-filter-by="text"
                            >Taille: 48 kb</span
                          >
                        </div>
                        <div class="dropdown">
                          <button
                            class="btn-options"
                            type="button"
                            data-toggle="dropdown"
                            aria-haspopup="true"
                            aria-expanded="false"
                          >
                            <i class="material-icons">more_vert</i>
                          </button>
                          <div class="dropdown-menu dropdown-menu-right">
                            <a class="dropdown-item" href="#">Download</a>
                            <div class="dropdown-divider"></div>
                            <a class="dropdown-item text-danger" href="#"
                              >Delete</a
                            >
                          </div>
                        </div>
                      </div>
                    </div>
                  </li>
                  <li class="list-group-item">
                    <div class="media align-items-center">
                      <ul class="avatars">
                        <li>
                          <div class="avatar bg-primary">
                            <i class="material-icons">insert_drive_file</i>
                          </div>
                        </li>
                        <li>
                          <img
                            alt="Peggy Brown"
                            src="assets/dependencies/img/avatar-female-2.jpg"
                            class="avatar"
                            data-title="Peggy Brown"
                            data-toggle="tooltip"
                            data-filter-by="data-title"
                          />
                        </li>
                      </ul>
                      <div
                        class="media-body d-flex justify-content-between align-items-center"
                      >
                        <div>
                          <a href="#" data-filter-by="text"
                            >Fichier de configuration</a
                          >
                          <br />
                          <span class="text-small" data-filter-by="text"
                            >Taille: 48 kb</span
                          >
                        </div>
                        <div class="dropdown">
                          <button
                            class="btn-options"
                            type="button"
                            data-toggle="dropdown"
                            aria-haspopup="true"
                            aria-expanded="false"
                          >
                            <i class="material-icons">more_vert</i>
                          </button>
                          <div class="dropdown-menu dropdown-menu-right">
                            <a class="dropdown-item" href="#">Download</a>
                            <div class="dropdown-divider"></div>
                            <a class="dropdown-item text-danger" href="#"
                              >Delete</a
                            >
                          </div>
                        </div>
                      </div>
                    </div>
                  </li>
                </ul>
              </div>
            </div>
          </div>
          <!--end of content list-->
        </div>
        <div
          class="tab-pane fade"
          id="activity"
          role="tabpanel"
          aria-labelledby="activity-tab"
          data-filter-list="list-group-activity"
        >
          <div class="content-list">
            <div class="row content-list-head">
              <div class="col-auto">
                <h3>Activités</h3>
              </div>
              <form class="col-md-auto">
                <div class="input-group input-group-round">
                  <div class="input-group-prepend">
                    <span class="input-group-text">
                      <i class="material-icons">filter_list</i>
                    </span>
                  </div>
                  <input
                    type="search"
                    class="form-control filter-list-input"
                    placeholder="Filtrer historique"
                    aria-label="Filter activity"
                    aria-describedby="filter-tasks"
                  />
                </div>
              </form>
            </div>
            <!--end of content list head-->
            <div class="content-list-body">
              <ol class="list-group list-group-activity">
                <li class="list-group-item">
                  <div class="media align-items-center">
                    <ul class="avatars">
                      <li>
                        <div class="avatar bg-primary">
                          <i class="material-icons">playlist_add_check</i>
                        </div>
                      </li>
                      <li>
                        <img
                          alt="Claire"
                          src="assets/dependencies/img/avatar-female-1.jpg"
                          class="avatar"
                          data-filter-by="alt"
                        />
                      </li>
                    </ul>
                    <div class="media-body">
                      <div>
                        <span class="h6" data-filter-by="text">Claire</span>
                        <span data-filter-by="text">
                          a terminé la tâche "Présenter aux clients"</span
                        >
                      </div>
                      <span class="text-small" data-filter-by="text"
                        ><a href="#">Aujourd'hui à 8h15min</a></span
                      >
                    </div>
                  </div>
                </li>
              </ol>
            </div>
          </div>
          <!--end of content list-->
        </div>
      </div>
      <form
        class="modal fade"
        id="user-manage-modal"
        tabindex="-1"
        role="dialog"
        aria-labelledby="user-manage-modal"
        aria-hidden="true"
      >
        <div class="modal-dialog" role="document">
          <div class="modal-content">
            <div class="modal-header">
              <h5 class="modal-title">Demande d'ajouts</h5>
              <button
                type="button"
                class="close btn btn-round"
                data-dismiss="modal"
                aria-label="Close"
              >
                <i class="material-icons">close</i>
              </button>
            </div>
            <!--end of modal head-->
            <div class="modal-body">
              <div class="users-manage" data-filter-list="form-group-users">
                <div class="mb-3">
                  <ul class="avatars text-center">
                    <li *ngFor="let i of intervenants">
                      <img
                        [alt]="i.nomComplet"
                        src="assets/dependencies/img/avatar-female-1.jpg"
                        class="avatar"
                        data-toggle="tooltip"
                        [data-title]="i.nomComplet"
                      />
                    </li>
                  </ul>
                </div>
                <div class="input-group input-group-round">
                  <div class="input-group-prepend">
                    <span class="input-group-text">
                      <i class="material-icons">filter_list</i>
                    </span>
                  </div>
                  <input
                    type="search"
                    class="form-control filter-list-input"
                    placeholder="Filtrer demandes"
                    aria-label="Filter Members"
                    aria-describedby="filter-members"
                  />
                </div>
                <div class="form-group-users">
                  <div class="custom-control custom-checkbox" *ngFor="let pos of postulants; let i = index">
                    <label class="custom-control-label" for="user-manage-1">
                      <div class="d-flex align-items-center">
                        <img
                          [alt]="pos.nomComplet"
                          src="assets/dependencies/img/avatar-female-1.jpg"
                          class="avatar mr-2"
                        />
                        <span class="h6 mb-0" data-filter-by="text"
                          >{{ pos.nomComplet }}</span
                        >
                        <button *ngIf="bloquerBoutons[i] == 'false'" role="button" class="btn btn-primary btn-round right-align" (click)="addPostulant(p.id, i)">
                          +
                        </button>
                      </div>
                    </label>
                  </div>
                </div>
              </div>
            </div>
            <!--end of modal body-->
            <div class="modal-footer">
              <!-- <button role="button" class="btn btn-primary" type="submit">
                Ajouter
              </button> -->
            </div>
          </div>
        </div>
      </form>

    </div>
  </div>
</div>

<form [formGroup]="ajouterTacheForm" (ngSubmit)="onSubmit()" class="modal fade" id="ajouterTache" tabindex="-1"
  role="dialog" aria-labelledby="ajouterTache" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title">Nouvelle tâche</h5>
        <button type="button" class="close btn btn-round" data-dismiss="modal" aria-label="Close">
          <i class="material-icons">close</i>
        </button>
      </div>
      <!--end of modal head-->
      <ul class="nav nav-tabs nav-fill">
        <li class="nav-item">
          <a class="nav-link active" id="project-add-details-tab" data-toggle="tab" href="#project-add-details"
            role="tab" aria-controls="project-add-details" aria-selected="true">Details</a>
        </li>
      </ul>
      <div class="modal-body">
        <div class="tab-content">
          <div class="tab-pane fade show active" id="project-add-details" role="tabpanel"
            aria-labelledby="project-add-details-tab">
            <h6>Détails généraux</h6>
            <div class="form-group row align-items-center">
              <label class="col-3">Nom</label>
              <input class="form-control col" formControlName="nom" type="text" placeholder="Nom de la tâche" id="nom" />
            </div>
            <div class="form-group row">
              <label class="col-3">Description</label>
              <textarea class="form-control col" formControlName="description" rows="3"
                placeholder="Description de la tâche"></textarea>
            </div>
            <hr />
            <h6>Timeline</h6>
            <div class="form-group row align-items-center">
              <label class="col-3">Date limite de rendu</label>
              <input class="form-control col" formControlName="dateLimite" type="text" placeholder="jj/mm/aaaa"
                id="dateLimite" />
            </div>
            <hr />
            <h6>Autres détails importants (requis)</h6>
            <div class="form-group row align-items-center">
              <label class="col-3">Chargé de tâche</label>
              <select id="chargeTacheId" formControlName="chargeTacheId" class="form-control col" required>
                <option *ngFor="let i of intervenants; let index = index" [ngValue]="index">
                  {{ i.nomComplet }}
                </option>
              </select>
            </div>
            <div class="form-group row align-items-center">
              <label class="col-3">Phase de tâche</label>
              <select id="phase" formControlName="phase" class="form-control col" required>
                <option value="Analyse">
                  Analyse
                </option>
                <option value="Conception">
                  Conception
                </option>
                <option value="Réalisation">
                  Réalisation
                </option>
                <option value="Tests">
                  Tests
                </option>
              </select>
            </div>
          </div>
        </div>
      </div>
      <!--end of modal body-->
      <div class="modal-footer">
        <button role="button" class="btn btn-primary" type="submit">
          Créer
        </button>
      </div>
    </div>
  </div>
</form>